Bug 82058 - Pointer focus auto-raise is too quick, not adjustable
Pointer focus auto-raise is too quick, not adjustable
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: metacity (Show other bugs)
8.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-01-16 17:23 EST by Scott Hankin
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-02-03 18:13:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Scott Hankin 2003-01-16 17:23:58 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2) Gecko/20021202

Description of problem:
With the advent of metacity as the default window manager, the only option
available for window focus preferences is click or pointer focus.  If auto raise
is selected, the delay is near instantaneous.  There is no way to adjust the
delay, and I suspect the default delay (500 milliseconds) is not being honored.
 This makes for a frustrating user experience - I bring up Mozilla's preference
panel, and it disappears immediately behind the main window.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Open mozilla
2. Open the preferences panel
3. Watch is disappear very quickly behind the mozilla window
    

Additional info:
Comment 1 Havoc Pennington 2003-01-16 17:31:06 EST
It is configurable, Preferences->Window Focus

If it doesn't work that's another issue; does it work if you make it long enough
to perceive? I don't have other reports of it not working.
Comment 2 Scott Hankin 2003-01-16 17:46:56 EST
No, Preferences->Window Focus (on RH8.0) only shows three boxes: Click to give focus, Point to give focus, and Raise window on focus (a sub-selection of the second button).  There is no way to set the delay.The preference box (just an example) is briefly visible, but disappears as soon as it finishes drawing.
Comment 3 Havoc Pennington 2003-01-16 17:58:43 EST
Oh, I probably remember it wrongly. In current Rawhide betas the prefs dialog 
has the delay.

In 8.0 then, you have to open gconf-editor, and 
go to /apps/metacity/general/autoraise_delay (or something along those lines)
Comment 4 Havoc Pennington 2003-02-03 18:13:41 EST
Anyway, it is configurable in the prefs dialog in latest.

Note You need to log in before you can comment on or make changes to this bug.